Subject: bug#21846: 25.0.50; emacs hebrew script bidi nikud rendering bug

From: Benjamin Riefenstahl <[email-masked]>
Date: Tue, 01 Dec 2015 00:02:11 +0100

Benjamin Riefenstahl writes:
> When I install this from the package manager, I get a PostScript font,
> not a TrueType font (you can verify that yourself with "fc-list
> 'Aharoni CLM' file").  I don't know how PostScript fonts are handled
> by Emacs.  But, not surprisingly, it does not go through the FLT file
> that we have been hacking on so far.

Interestingly, when I run this font and the test file through m17n-edit
(after some debugging why the font was not recognized :-(), it seems
fine there.  So in this case it does not seem to be a problem with m17n,
but actually with Emacs.

With m17n-edit, the text is run through COMBINING.flt (according to
MDEBUG_FLT=3), with Emacs, no FLT is triggered at all.  Which makes me
suspect that Emacs does not use m17n for this font at all (?).